#
# spec file for package gforth (Version 0.5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gforth
Copyright:    GPL
Group:        Development/Languages
Provides:     gforth 
Autoreqprov:  on
Version:      0.5.0
Release:      90
Summary:      GNU Forth
Source: gforth-%{version}.tar.bz2
Patch: gforth-%{version}.dif

%description
Gforth is a fast and portable implementation of the ANS Forth
language.

Authors:
--------
    Anton Ertl <anton@mips.complang.tuwien.ac.at>
    Bernd Paysan <paysan@informatik.tu-muenchen.de>
    Jens Wilke <wilke@jwdt.com>

SuSE series: d

%prep
%setup
%patch

%build
# Fixup timestamps. Can't rebuild them without working gforth
touch engine/prim.i engine/prim_lab.i
%{?suse_update_config}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" INSTALL_PROGRAM='${INSTALL} -s' \
./configure --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux
make
make check

%install
make install
install -d /usr/share/emacs/site-lisp
install gforth.el /usr/share/emacs/site-lisp

%files
%doc README BUGS NEWS
/usr/bin/gforth
/usr/bin/gforth-%{version}
/usr/bin/gforthmi
/usr/bin/gforthmi-%{version}
%dir /usr/lib/gforth
/usr/lib/gforth/%{version}
%dir /usr/share/gforth
/usr/share/emacs/site-lisp/gforth.el
/usr/share/gforth/%{version}
%dir /usr/share/gforth/site-forth
%config /usr/share/gforth/site-forth/siteinit.fs
%doc %{_infodir}/gforth.info*gz
%doc %{_mandir}/man1/gforth.1.gz

%changelog -n gforth
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Sun Apr 15 2001 - schwab@suse.de
- Fix pointer <-> int clash.
* Fri Oct 06 2000 - schwab@suse.de
- Update to version 0.5.0.
* Thu Aug 17 2000 - schwab@suse.de
- Fix ia64 configuration.
* Thu Aug 17 2000 - schwab@suse.de
- Basic support for ia64.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - schwab@suse.de
- specfile cleanup
- fix prims2x.fs:read-whole-file for make check
* Fri May 21 1999 - ro@suse.de
- update to 0.4.0
* Sat Jun 07 1997 - florian@suse.de
- first version of GNU forth 0.3 for S.u.S.E.
